<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.sing.user.mapper.UserAddressMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userAddressResultMap" type="org.springblade.sing.user.entity.UserAddress">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_id" property="userId"/>
        <result column="consignee" property="consignee"/>
        <result column="is_default" property="isDefault"/>
        <result column="province_name" property="provinceName"/>
        <result column="city_name" property="cityName"/>
        <result column="area_name" property="areaName"/>
        <result column="address" property="address"/>
        <result column="phone" property="phone"/>
    </resultMap>


    <select id="selectUserAddressPage" resultMap="userAddressResultMap">
        select * from sing_user_address where is_deleted = 0
    </select>

</mapper>
